<?php
namespace WPFunnels\Admin\OptinField;


class OptinField{

	public function __construct() {
		add_action( 'show_user_profile', [$this, 'wpfnl_extra_user_profile_fields'] );
		add_action( 'edit_user_profile', [$this, 'wpfnl_extra_user_profile_fields'] );

		add_action( 'personal_options_update', [$this, 'save_wpfnl_extra_user_profile_fields'] );
		add_action( 'edit_user_profile_update', [$this, 'save_wpfnl_extra_user_profile_fields'] );
	}

	/**
	 * Display Optin additional Registration field Phone
	 * @param $user
	 */
	public function wpfnl_extra_user_profile_fields( $user ) {
		$phone = get_the_author_meta('phone',$user->ID);
		if ($phone != '' || $phone != null){
			?>
			<h3><?php _e("Additional User Data", "wpfnl"); ?></h3>

			<table class="form-table">
				<tr>
					<th><label for="address"><?php _e("Phone",'wpfnl'); ?></label></th>
					<td>
						<input type="number" name="phone" id="phone" value="<?php echo esc_attr( get_the_author_meta( 'phone', $user->ID ) ); ?>" class="regular-text" /><br />
					</td>
				</tr>
			</table>
			<?php
		}

	}

	/**
	 * Update additional field
	 * @param $user_id
	 * @return false|void
	 */
	function save_wpfnl_extra_user_profile_fields( $user_id ) {
		if ( empty( $_POST['_wpnonce'] ) || ! wp_verify_nonce( $_POST['_wpnonce'], 'update-user_' . $user_id ) ) {
			return;
		}

		if ( !current_user_can( 'edit_user', $user_id ) ) {
			return false;
		}
		update_user_meta( $user_id, 'phone', $_POST['phone'] );
	}

}
